# Method: floodStatus.queryLatestFloodStatusByGaugeIds

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/queryLatestFloodStatusByGaugeIds#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/queryLatestFloodStatusByGaugeIds#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/queryLatestFloodStatusByGaugeIds#body.request_body)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/queryLatestFloodStatusByGaugeIds#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/queryLatestFloodStatusByGaugeIds#body.QueryLatestFloodStatusByGaugeIdsResponse.SCHEMA_REPRESENTATION)

Query latest flood status by gauge ids.

### HTTP request

`GET https://floodforecasting.googleapis.com/v1/floodStatus:queryLatestFloodStatusByGaugeIds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `gaugeIds[]` | `string` Required. A list of gauge ids. The supported list size is limited to 20,000. If a list larger than 20,000 is provided it fails with an INVALID_REQUEST error. |
| `cutoffTime` | `string` Optional. The cutoff time for the flood statuses. When provided, the latest (last published) flood statuses as of the cut-off time will be returned. When not provided, the latest published flood statuses as of now will be returned. The minimum allowed cutoff time is 2025-08-01T00:00:00Z. If the cutoff time is before this time, an INVALID_ARGUMENT error will be returned. Represented as ISO 8601, e.g., "2025-10-17T10:34:00Z". |

### Request body

The request body must be empty.

### Response body

The response of floodStatus.queryLatestFloodStatusByGaugeIds.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "floodStatuses": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/floodStatus#FloodStatus`) } ] } ``` |

| Fields ||
|---|---|
| `floodStatuses[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/floodStatus#FloodStatus`)`` The latest flood statuses for the requested gauges. |